## netcdf-cxx 4.2.1

=== debian/changelog ===
netcdf-cxx (4.2.1-3) unstable; urgency=medium

  * Bump minimum required libnetcdf-dev to 4.4.0.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 21 Jan 2016 20:49:50 +0100

netcdf-cxx (4.2.1-2) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 01 Nov 2015 21:03:27 +0100

netcdf-cxx (4.2.1-2~exp1) experimental; urgency=medium

  * Update Vcs-Browser URL to use HTTPS.
  * Disable parallel test execution.
  * Bump minimum required libnetcdf-dev to 4.4.0~rc3.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 25 Oct 2015 15:10:35 +0100

netcdf-cxx (4.2.1-1) unstable; urgency=medium

  * Bump minimum required libnetcdf-dev to 4.4.0~rc2.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 19 Aug 2015 19:31:35 +0200

netcdf-cxx (4.2.1-1~exp7) experimental; urgency=medium

  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 16 Aug 2015 18:25:19 +0200

netcdf-cxx (4.2.1-1~exp6) experimental; urgency=medium

  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 14 Aug 2015 18:49:50 +0200

netcdf-cxx (4.2.1-1~exp5) experimental; urgency=medium

  * Update symbols for amd64 with GCC 5.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 01 Aug 2015 02:35:17 +0200

netcdf-cxx (4.2.1-1~exp4) experimental; urgency=medium

  * Bump minimum required libnetcdf-dev to 4.4.0~rc2-1~exp4 for serial HDF5.
  * Replace uppercase RC with lowercase rc in uversionmangle.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 31 Jul 2015 13:37:44 +0200

netcdf-cxx (4.2.1-1~exp3) experimental; urgency=medium

  * Require at least libnetcdf-dev 4.3.3.1.
  * Update watch file to handle other tar extensions in filenamemangle.
  * Move documentation build to build-indep target.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 27 Jul 2015 18:40:31 +0200

netcdf-cxx (4.2.1-1~exp2) experimental; urgency=medium

  * Update my email to use @debian.org address.
  * Enable verbose test output, override dh_auto_test to ignore test failures.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 25 Jun 2015 20:51:33 +0200

netcdf-cxx (4.2.1-1~exp1) experimental; urgency=medium

  [ Bas Couwenberg ]
  * Initial release (Closes: #775520)
  * Install libnetcdf_c++4.a (Closes: #728498)

  [ Ross Gammon ]
  * Close bugs in changelog
  * Add myself to Uploaders

 -- Ross Gammon <rossgammon@mail.dk>  Fri, 06 Feb 2015 22:36:43 +0100
