=== debian/control ===
Source: netcdf-cxx
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           Nico Schlömer <nico.schloemer@gmail.com>,
           Bas Couwenberg <sebastic@debian.org>,
           Ross Gammon <rossgammon@mail.dk>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               doxygen,
               libjs-jquery,
               libnetcdf-dev (>= 1:4.4.0),
               pkg-config,
               pkg-kde-tools
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/netcdf-cxx.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/netcdf-cxx.git
Homepage: http://www.unidata.ucar.edu/software/netcdf/

Package: libnetcdf-c++4-1
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: libnetcdfc++4 (<< 4.2.1)
Replaces: libnetcdfc++4 (<< 4.2.1)
Description: C++ interface for scientific data access to large binary data
 NetCDF (network Common Data Form) is an interface for scientific
 data access and a freely-distributed software library that provides an
 implementation of the interface.  The netCDF library also defines a
 machine-independent format for representing scientific data.
 Together, the interface, library, and format support the creation,
 access, and sharing of scientific data.
 .
 This package contains the C++ shared library.

Package: libnetcdf-c++4-dev
Architecture: any
Section: libdevel
Depends: libnetcdf-c++4-1 (= ${binary:Version}),
         ${misc:Depends}
Recommends: pkg-config
Suggests: netcdf-bin,
          netcdf-doc
Description: creation, access, and sharing of scientific data in C++
 NetCDF (network Common Data Form) is a set of interfaces for array-oriented
 data access and a freely distributed collection of data access libraries for
 C, Fortran, C++, Java, and other languages. The netCDF libraries support a
 machine-independent format for representing scientific data. Together, the
 interfaces, libraries, and format support the creation, access, and sharing of
 scientific data.
 .
 This package contains headers for the C++ library.

Package: libnetcdf-c++4-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libnetcdf-c++4-1 (= ${binary:Version}),
         ${misc:Depends}
Suggests: gdb
Description: debugging symbols for NetCDF C++
 NetCDF (network Common Data Form) is a set of interfaces for array-oriented
 data access and a freely distributed collection of data access libraries for
 C, Fortran, C++, Java, and other languages. The netCDF libraries support a
 machine-independent format for representing scientific data. Together, the
 interfaces, libraries, and format support the creation, access, and sharing of
 scientific data.
 .
 This package contains debugging symbols for the C++ library.

Package: libnetcdf-c++4-doc
Architecture: all
Section: doc
Depends: libjs-jquery,
         ${misc:Depends}
Description: NetCDF C++ API documentation
 NetCDF (network Common Data Form) is a set of interfaces for array-oriented
 data access and a freely distributed collection of data access libraries for
 C, Fortran, C++, Java, and other languages. The netCDF libraries support a
 machine-independent format for representing scientific data. Together, the
 interfaces, libraries, and format support the creation, access, and sharing of
 scientific data.
 .
 This package contains documentation for the C++ library.
