## netcdf-cxx 4.3.0+ds

=== debian/changelog ===
netcdf-cxx (4.3.0+ds-5) unstable; urgency=medium

  * Change priority from extra to optional.
  * Bump Standards-Version to 4.1.1, changes: priority.
  * Add libnetcdf-dev to dependencies of -dev package.
    (closes: #881227)
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 09 Nov 2017 07:36:42 +0100

netcdf-cxx (4.3.0+ds-4) unstable; urgency=medium

  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.
  * Enable PIE hardening buildflags.
  * Use pkg-info.mk variables instead of dpkg-parsechangelog output.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 25 Jun 2017 19:36:55 +0200

netcdf-cxx (4.3.0+ds-3) unstable; urgency=medium

  * Update symbols for sh4.
  * Don't install examples, part of testsuite not real examples.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 15 May 2016 15:22:49 +0200

netcdf-cxx (4.3.0+ds-2) unstable; urgency=medium

  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 14 May 2016 20:24:20 +0200

netcdf-cxx (4.3.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8, no changes.
  * Update symbols for amd64.
  * Repack upstream tarball to excluded autom4te.cache directory.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 14 May 2016 14:32:29 +0200

netcdf-cxx (4.2.1-4) unstable; urgency=medium

  * Update Vcs-Git URL to use HTTPS.
  * Bump Standards-Version to 3.9.7, no changes.
  * Add build dependency on graphviz for dot.
  * Enable all hardening buildflags.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 22 Mar 2016 07:18:51 +0100
