=== debian/control ===
--- 
+++ 
@@ -9,13 +9,14 @@
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                doxygen,
+               graphviz,
                libjs-jquery,
                libnetcdf-dev (>= 1:4.4.0),
                pkg-config,
                pkg-kde-tools
-Standards-Version: 3.9.6
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/netcdf-cxx.git
-Vcs-Git: git://anonscm.debian.org/pkg-grass/netcdf-cxx.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/netcdf-cxx.git
 Homepage: http://www.unidata.ucar.edu/software/netcdf/
 
 Package: libnetcdf-c++4-1
@@ -40,6 +41,7 @@
 Architecture: any
 Section: libdevel
 Depends: libnetcdf-c++4-1 (= ${binary:Version}),
+         libnetcdf-dev,
          ${misc:Depends}
 Recommends: pkg-config
 Suggests: netcdf-bin,
@@ -57,7 +59,6 @@
 Package: libnetcdf-c++4-dbg
 Architecture: any
 Section: debug
-Priority: extra
 Depends: libnetcdf-c++4-1 (= ${binary:Version}),
          ${misc:Depends}
 Suggests: gdb
