## netcdf-cxx 4.3.1

=== docs/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # Build doxygen documentation if need be.
 ######
 
-IF(NCXX_ENABLE_DOXYGEN)
+IF(ENABLE_DOXYGEN)
 
   FILE(GLOB COPY_FILES ${CMAKE_CURRENT_SOURCE_DIR}/*)
   FILE(COPY ${COPY_FILES} DESTINATION ${CMAKE_CURRENT_BINARY_DIR}/)
@@ -28,4 +28,4 @@
     WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
     COMMENT "Generating CXX4 API Documentation" VERBATIM)
 
-ENDIF(NCXX_ENABLE_DOXYGEN)
+ENDIF(ENABLE_DOXYGEN)
