=== debian/changelog ===
netcdf-cxx (4.3.1-5) unstable; urgency=medium

  * Bump Standards-Version to 4.7.0, no changes.
  * Bump debhelper compat to 13.
  * Remove generated files in clean target.
    (closes: #1046231)
  * Use not-installed file instead of dh_install override.
  * Enable Salsa CI.
  * Switch to dh-sequence-*.
  * Replace pkg-config (build) dependency with pkgconf.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 06 Mar 2025 19:31:31 +0100

netcdf-cxx (4.3.1-4) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1, no changes.
  * Update watch file for GitHub URL changes.
  * Bump debhelper compat to 12, changes:
    - Drop --list-missing from dh_install
  * Drop obsolete dh_strip override, dbgsym migration complete.
  * Add Rules-Requires-Root to control file.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 01 Dec 2022 13:23:26 +0100

netcdf-cxx (4.3.1-3) unstable; urgency=medium

  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
    - Don't explicitly enable autoreconf, enabled by default
    - Drop dh-autoreconf build dependency
  * Bump watch file version to 4.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 12 Nov 2020 04:48:24 +0100

netcdf-cxx (4.3.1-2) unstable; urgency=medium

  * Bump Standards-Version to 4.5.0, no changes.
  * Add -lnetcdf to CXXFLAGS.
    (closes: #949828)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 25 Jan 2020 16:42:23 +0100

netcdf-cxx (4.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes.
  * Update watch file to limit matches to archive path.
  * Add Build-Depends-Package field to symbols file.
  * Update gbp.conf to use --source-only-changes by default.
  * Require at least libnetcdf-dev 4.6.0.
  * Add license & copyright for bzip2 sources.
  * Add libhdf5-dev to build dependencies.
  * Drop Name field from upstream metadata.
  * Append include path for hdf5.h.
  * Add lintian override for repackaged-source-not-advertised.
  * Update symbols for amd64.
  * Disable filter testing to not build plugins.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 16 Jan 2020 19:26:06 +0100

netcdf-cxx (4.3.0+ds-7) unstable; urgency=medium

  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Aug 2018 07:49:29 +0200

netcdf-cxx (4.3.0+ds-6) unstable; urgency=medium

  * Update copyright-format URL to use HTTPS.
  * Don't use libjs-jquery for Doxygen docs.
  * Bump Standards-Version to 4.1.5, no changes.
  * Update Vcs-* URLs for Salsa.
  * Strip trailing whitespace from control & rules files.
  * Drop obsolete dbg package.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 19 Jul 2018 15:27:19 +0200
