=== debian/control ===
--- 
+++ 
@@ -2,22 +2,22 @@
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
            Nico Schlömer <nico.schloemer@gmail.com>,
-           Bas Couwenberg <sebastic@debian.org>,
-           Ross Gammon <rossgammon@mail.dk>
+           Bas Couwenberg <sebastic@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-pkgkde-symbolshelper,
                doxygen,
                graphviz,
-               libjs-jquery,
-               libnetcdf-dev (>= 1:4.4.0),
-               pkg-config,
+               libhdf5-dev,
+               libnetcdf-dev (>= 1:4.6.0),
+               pkgconf,
                pkg-kde-tools
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/netcdf-cxx.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/netcdf-cxx.git
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/netcdf-cxx
+Vcs-Git: https://salsa.debian.org/debian-gis-team/netcdf-cxx.git
 Homepage: http://www.unidata.ucar.edu/software/netcdf/
+Rules-Requires-Root: no
 
 Package: libnetcdf-c++4-1
 Architecture: any
@@ -43,7 +43,7 @@
 Depends: libnetcdf-c++4-1 (= ${binary:Version}),
          libnetcdf-dev,
          ${misc:Depends}
-Recommends: pkg-config
+Recommends: pkgconf
 Suggests: netcdf-bin,
           netcdf-doc
 Description: creation, access, and sharing of scientific data in C++
@@ -56,27 +56,10 @@
  .
  This package contains headers for the C++ library.
 
-Package: libnetcdf-c++4-dbg
-Architecture: any
-Section: debug
-Depends: libnetcdf-c++4-1 (= ${binary:Version}),
-         ${misc:Depends}
-Suggests: gdb
-Description: debugging symbols for NetCDF C++
- NetCDF (network Common Data Form) is a set of interfaces for array-oriented
- data access and a freely distributed collection of data access libraries for
- C, Fortran, C++, Java, and other languages. The netCDF libraries support a
- machine-independent format for representing scientific data. Together, the
- interfaces, libraries, and format support the creation, access, and sharing of
- scientific data.
- .
- This package contains debugging symbols for the C++ library.
-
 Package: libnetcdf-c++4-doc
 Architecture: all
 Section: doc
-Depends: libjs-jquery,
-         ${misc:Depends}
+Depends: ${misc:Depends}
 Description: NetCDF C++ API documentation
  NetCDF (network Common Data Form) is a set of interfaces for array-oriented
  data access and a freely distributed collection of data access libraries for
@@ -86,4 +69,3 @@
  scientific data.
  .
  This package contains documentation for the C++ library.
-
